/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  RAPMGMT
*
* @FILE     rapmgmt_upext.h
*
* @ABSTRACT
* Apache Rap ManaGeMent module PRivate CONstants definitions
*
* @INCLUDE

#ifndef _RAPMGMT_PRCON_H_
#define _RAPMGMT_PRCON_H_

#define MAXLINE 4096

#define RAPMGMT_PROGRAM "ccn_rapmgmt"

#define RAPMGMT_REQUEST "req"
#define RAPMGMT_RAP_SITE "site"
#define RAPMGMT_RAP_GATEWAY "gateway"
#define RAPMGMT_RAP_NAME "name"

#define RAPMGMT_STOP "STOP"
#define RAPMGMT_START "START"
#define RAPMGMT_CHECK "CHECK"

#define RAPMGMT_APPD_ALL "*"

#define RAPSTATE_UNKNOWN 0
#define RAPSTATE_RUNNING 1
#define RAPSTATE_STOPPED 2
#define RAPSTATE_UNKNOWN_STR "unknown"
#define RAPSTATE_RUNNING_STR "yes"
#define RAPSTATE_STOPPED_STR "no"

#define RAPLIST_FILTER_NONE 0
#define RAPLIST_FILTER_MODE 1

#define TUXEDO_TMADMIN "tmadmin"
#define TUXEDO_STOP "stop -s %s -w4\nbbc\nquit\n"
#define TUXEDO_START "boot -s %s\nquit\n"
#define TUXEDO_TMIB ".TMIB"
#define TUXEDO_GET  "GET"
#define TUXEDO_TSERVER "T_SERVER"
#define TUXEDO_STATE_ACTIVE "ACTIVE"

#define TUXEDO_RAPCHECK "ccn_RapCheck"


#define XML_HEADER "<?xml version=\"1.0\"?>\n"


#endif /* _RAPMGMT_PRCON_H_ */
